Bug 24336 - Ask for confirmation before deleting a suggestion in the OPAC
Summary: Ask for confirmation before deleting a suggestion in the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 24341
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-03 14:33 UTC by Owen Leonard
Modified: 2020-01-31 23:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24336: Ask for confirmation before deleting a suggestion in the OPAC (9.08 KB, patch)
2020-01-03 18:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24336: Ask for confirmation before deleting a suggestion in the OPAC (9.13 KB, patch)
2020-01-03 21:41 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 24336: Ask for confirmation before deleting a suggestion in the OPAC (9.20 KB, patch)
2020-01-20 22:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-01-03 14:33:13 UTC
In the OPAC suggestions are deleted without offering the patron any kind of warning. The patron should be asked for confirmation.
Comment 1 Owen Leonard 2020-01-03 18:13:50 UTC
Created attachment 96798 [details] [review]
Bug 24336: Ask for confirmation before deleting a suggestion in the OPAC

This patch modifies the OPAC suggestions interface so that patrons will
be asked for confirmation before deleting suggestions.

The patch also makes some minor markup changes to improve consistency
between this interface and others in the OPAC.

To test, apply the patch and log in to the OPAC as a user who has
submitted multiple suggestions.

 - From the list of your suggestions, confirm that the "New purchase
   suggestion" and "Delete" links have Font Awesome icons.
 - Check the checkbox corresponding to one of your suggestions. You can
   also now click the title of the suggestions to control the checkbox.
 - When you check a box the "Delete" link at the top of the page should
   activate.
 - Clicking the delete link should trigger a confirmation modal showing
   the title(s) you selected.
   - The message and button labels should reflect whether one or
     multiple titles are being deleted.
   - Test that the confirm and cancel controls work correctly.
 - Also test this process via the delete button at the bottom of the
   table of suggestions.
Comment 2 Maryse Simard 2020-01-03 21:37:15 UTC
When selecting multiple titles to delete, the modal shows only [object Object] in it's body instead of the list of titles.

The rest works perfectly.
Comment 3 Maryse Simard 2020-01-03 21:41:19 UTC
Created attachment 96809 [details] [review]
Bug 24336: Ask for confirmation before deleting a suggestion in the OPAC

This patch modifies the OPAC suggestions interface so that patrons will
be asked for confirmation before deleting suggestions.

The patch also makes some minor markup changes to improve consistency
between this interface and others in the OPAC.

To test, apply the patch and log in to the OPAC as a user who has
submitted multiple suggestions.

 - From the list of your suggestions, confirm that the "New purchase
   suggestion" and "Delete" links have Font Awesome icons.
 - Check the checkbox corresponding to one of your suggestions. You can
   also now click the title of the suggestions to control the checkbox.
 - When you check a box the "Delete" link at the top of the page should
   activate.
 - Clicking the delete link should trigger a confirmation modal showing
   the title(s) you selected.
   - The message and button labels should reflect whether one or
     multiple titles are being deleted.
   - Test that the confirm and cancel controls work correctly.
 - Also test this process via the delete button at the bottom of the
   table of suggestions.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 4 Maryse Simard 2020-01-03 21:42:15 UTC
Sorry, I forgot to apply the dependency. Everything works well.
Comment 5 Katrin Fischer 2020-01-14 21:38:07 UTC
We'll need a sign-off on the dependency bug - Maryse, as you have tested both together, could you have a look?
Comment 6 Maryse Simard 2020-01-15 22:33:31 UTC
I was sure I had signed the dependency while testing... sorry for that. I just did now.
Comment 7 Katrin Fischer 2020-01-15 22:33:57 UTC
(In reply to Maryse Simard from comment #6)
> I was sure I had signed the dependency while testing... sorry for that. I
> just did now.

Great, thank you!
Comment 8 Katrin Fischer 2020-01-20 22:16:47 UTC
Created attachment 97649 [details] [review]
Bug 24336: Ask for confirmation before deleting a suggestion in the OPAC

This patch modifies the OPAC suggestions interface so that patrons will
be asked for confirmation before deleting suggestions.

The patch also makes some minor markup changes to improve consistency
between this interface and others in the OPAC.

To test, apply the patch and log in to the OPAC as a user who has
submitted multiple suggestions.

 - From the list of your suggestions, confirm that the "New purchase
   suggestion" and "Delete" links have Font Awesome icons.
 - Check the checkbox corresponding to one of your suggestions. You can
   also now click the title of the suggestions to control the checkbox.
 - When you check a box the "Delete" link at the top of the page should
   activate.
 - Clicking the delete link should trigger a confirmation modal showing
   the title(s) you selected.
   - The message and button labels should reflect whether one or
     multiple titles are being deleted.
   - Test that the confirm and cancel controls work correctly.
 - Also test this process via the delete button at the bottom of the
   table of suggestions.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Martin Renvoize 2020-01-21 11:36:48 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-01-31 23:37:32 UTC
Enhancement not backported to 19.11.x